For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
        • Products
            • GETList Products
            • PUTUpdate Products (batch)
            • POSTCreate Product
            • DELDelete Products
            • GETGet Product
            • PUTUpdate Product
            • DELDelete Product
              • GETList Complex Rules
              • POSTCreate Complex Rule
              • GETGet Product Complex Rule
              • PUTUpdate Product Complex Rule
              • DELDelete Product Complex Rule
        • Product Modifiers
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogProductsComplex Rules

Get Product Complex Rule

GET
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/products/:product_id/complex-rules/:complex_rule_id
GET
/stores/:store_hash/v3/catalog/products/:product_id/complex-rules/:complex_rule_id
$curl https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/complex-rules/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "data": {
3 "id": 5,
4 "product_id": 67,
5 "sort_order": 1,
6 "enabled": true,
7 "stop": false,
8 "purchasing_disabled": false,
9 "purchasing_disabled_message": "This product is not available at this time.",
10 "purchasing_hidden": false,
11 "image_url": "https://cdn8.bigcommerce.com/s-abc123/product_images/d/blue_tshirt.png",
12 "price_adjuster": {
13 "adjuster": "percentage",
14 "adjuster_value": 10.5
15 },
16 "weight_adjuster": {
17 "adjuster": "relative",
18 "adjuster_value": 2.25
19 },
20 "conditions": [
21 {
22 "modifier_id": 101,
23 "modifier_value_id": 202,
24 "variant_id": 15,
25 "id": 3,
26 "rule_id": 5,
27 "combination_id": 3001
28 }
29 ]
30 },
31 "meta": {}
32}

Returns a single Complex Rule. Optional parameters can be passed in.

Was this page helpful?
Previous

Create Complex Rule

Next

Update Product Complex Rule

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idintegerRequired

The ID of the Product to which the resource belongs.

complex_rule_idintegerRequired

The ID of the ComplexRule.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

include_fieldslist of enumsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

exclude_fieldslist of stringsOptional

Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded.

Response

dataobject
Common ComplexRule properties.
metaobject
Response metadata.

Errors

404
Not Found Error

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.